Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class CvsRepository

    java.lang.Object
      com.pmease.quickbuild.repository.Repository
          com.pmease.quickbuild.repository.CvsRepository

All Implemented Interfaces:
  java.io.Serializable

public class CvsRepository
extends Repository

Repository implementation for CVS.

Author:
  robin shine
See Also:
  Serialized Form

Constructor Summary
`CvsRepository()`

Method Summary
`protected void` | `buildFinished(Build build)` Indicates build has finished.
`protected void` | `checkout(Build build)` Check out codes for specified build.
`protected void` | `cleanupCheckoutStarted(java.lang.String workingDir, org.apache.log4j.Logger logger)` Give the repository a chance to do something before clean up checkouts.
`protected Revisions` | `getChangeListSince(DependentContext dependentContext, java.util.Date date, java.lang.String workingDir, org.apache.log4j.Logger logger)` Get change list since specified date.
`java.lang.String` | `getCvsExecutablePath()` OGNL: Path to your cvs executable.
`java.lang.String` | `getCvsPassword()` OGNL: The CVS password for above Cvs root if connecting using pserver protocol.
`java.lang.String` | `getCvsRoot()` OGNL: The Cvs root for this project, for example, :pserver:administrator@localhost:d:/cvs_repository.
`java.lang.Class` | `getModuleClazz()`
`boolean` | `isCygwinCvs()` OGNL: This property indicates whether or not the cvs executable being used is a cygwin one.
`boolean` | `isDisableHistoryCmd()` OGNL: This property indicates whether or not to disable the history command when performing modification detection.
`boolean` | `isDisableSuppressOption()` OGNL: This property indicates whether or not the \"-S\" option for the log command should be disabled.
`boolean` | `isMoveTagIfAlreadyExist()` OGNL: Specifies whether or not to move the tag if QuickBuild tries to label the repository with an already existing tag.
`boolean` | `isPruneEmptyDirs()` OGNL: Specify whether or not to prune empty directories.
`protected boolean` | `isQuietSince(java.util.Date date, Build build)` Override default implementation in order to speed up quiet detection for CVS adaptor
`protected void` | `label(Build build, java.lang.String label, java.lang.String comment)` Label checked out artifacts from this repository.
`void` | `setCvsExecutablePath(java.lang.String cvsExecutablePath)`
`void` | `setCvsPassword(java.lang.String cvsPassword)` set the cvs password
`void` | `setCvsRoot(java.lang.String cvsRoot)`
`void` | `setCygwinCvs(boolean cygwinCvs)`
`void` | `setDisableHistoryCmd(boolean disableHistoryCmd)`
`void` | `setDisableSuppressOption(boolean disableSuppressOption)`
`void` | `setMoveTagIfAlreadyExist(boolean moveTagIfAlreadyExist)`
`void` | `setPruneEmptyDirs(boolean pruneEmptyDirs)`

Methods inherited from class com.pmease.quickbuild.repository.Repository
`cleanupCheckoutStarted, doCheckout, doLabel, equals, getChangeListSince, getDate2Revisions, getEditor, getLoginMappingName, getLoginMappingNameSelectionModel, getModules, getName, getNameChoices, getQuietPeriod, hashCode, isCheckedOut, isModified, isModifiedSince, notifyBuildFinished, resolveOgnlExpressions, setEditor, setLoginMappingName, setName, setQuietPeriod, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CvsRepository

    public CvsRepository()

Method Detail

### setCvsRoot

    public void setCvsRoot(java.lang.String cvsRoot)

  Parameters:
    `cvsRoot` -

### getCvsRoot

    public java.lang.String getCvsRoot()

  OGNL: The Cvs root for this project, for example, :pserver:administrator@localhost:d:/cvs_repository. If you are using ssh, the :ext: protocol will need to be specified, and proper environment need to be setup outside of QuickBuild system.

### getCvsPassword

    public java.lang.String getCvsPassword()

  OGNL: The CVS password for above Cvs root if connecting using pserver protocol.

### setCvsPassword

    public void setCvsPassword(java.lang.String cvsPassword)

  set the cvs password

  Parameters:
    `cvsPassword` - password for the cvs repository

### isPruneEmptyDirs

    public boolean isPruneEmptyDirs()

  OGNL: Specify whether or not to prune empty directories.

  Returns:

### setPruneEmptyDirs

    public void setPruneEmptyDirs(boolean pruneEmptyDirs)

### isCygwinCvs

    public boolean isCygwinCvs()

  OGNL: This property indicates whether or not the cvs executable being used is a cygwin one.

### setCygwinCvs

    public void setCygwinCvs(boolean cygwinCvs)

### isDisableSuppressOption

    public boolean isDisableSuppressOption()

  OGNL: This property indicates whether or not the \"-S\" option for the log command should be disabled. The -S option used in the log command can speed up modification detection, however some earlier versions of Cvs do not support this option. In this case you should disable it.

### setDisableSuppressOption

    public void setDisableSuppressOption(boolean disableSuppressOption)

### isDisableHistoryCmd

    public boolean isDisableHistoryCmd()

  OGNL: This property indicates whether or not to disable the history command when performing modification detection. Using the history command in conjunction with the log command can speed up modification detection, however some Cvs repositories may not hold history information of commits. In this case you should disable it.

### setDisableHistoryCmd

    public void setDisableHistoryCmd(boolean disableHistoryCmd)

### isMoveTagIfAlreadyExist

    public boolean isMoveTagIfAlreadyExist()

  OGNL: Specifies whether or not to move the tag if QuickBuild tries to label the repository with an already existing tag.

  Returns:

### setMoveTagIfAlreadyExist

    public void setMoveTagIfAlreadyExist(boolean moveTagIfAlreadyExist)

### getCvsExecutablePath

    public java.lang.String getCvsExecutablePath()

  OGNL: Path to your cvs executable. For example: C:\\program files\\cvsnt\\cvs.exe.
  It should be specified here, if it does not exist in the system path.

  Returns:

### setCvsExecutablePath

    public void setCvsExecutablePath(java.lang.String cvsExecutablePath)

### cleanupCheckoutStarted

    protected void cleanupCheckoutStarted(java.lang.String workingDir,
                                          org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Give the repository a chance to do something before clean up checkouts. OGNL expressions have been resolved before call this method.

  Specified by:
    `cleanupCheckoutStarted` in class `Repository`
  Parameters:
    `workingDir` -
    `logger` -

### checkout

    protected void checkout(Build build)

  Description copied from class: `Repository`
  Check out codes for specified build. OGNL expressions have been resolved before call this method.

  Specified by:
    `checkout` in class `Repository`
  Parameters:
    `build` -

### label

    protected void label(Build build,
                         java.lang.String label,
                         java.lang.String comment)

  Description copied from class: `Repository`
  Label checked out artifacts from this repository. OGNL expressions have been resolved before call this method.

  Specified by:
    `label` in class `Repository`
  Parameters:
    `build` -

### isQuietSince

    protected boolean isQuietSince(java.util.Date date,
                                   Build build)

  Override default implementation in order to speed up quiet detection for CVS adaptor

  Overrides:
    `isQuietSince` in class `Repository`
  Parameters:
    `date` -
    `build` -
  Returns:

### getChangeListSince

    protected Revisions getChangeListSince(DependentContext dependentContext,
                                           java.util.Date date,
                                           java.lang.String workingDir,
                                           org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Get change list since specified date. OGNL expressions have been resolved before call this method.

  Specified by:
    `getChangeListSince` in class `Repository`
  Parameters:
    `dependentContext` -
    `date` -
    `workingDir` -
    `logger` -
  Returns:

### getModuleClazz

    public java.lang.Class getModuleClazz()

  Specified by:
    `getModuleClazz` in class `Repository`

### buildFinished

    protected void buildFinished(Build build)

  Description copied from class: `Repository`
  Indicates build has finished. OGNL expressions have been resolved before call this method.

  Specified by:
    `buildFinished` in class `Repository`
  Parameters:
    `build` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.